﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace YouTubeSelect
{
    public partial class Form1 : Form
    {
        public string URL = "http://translate.google.com/translate_tts";
        public string Language = "ja";
        public string Message = "私設研究所ネオテックラボへようこそ！Google+TTSを使ってみましょう。";
        public string[] defaultMessage = new string[12] {
           "こんにちは。私は日本から来ました。名前はハルコです。２０歳です。", //【日本語】ja
           //●初期の頃は日本語らしかったが、最近の発音はまるで中国人が日本語を喋っているような劣化ぶりだ。
           //多分、変換結果が『役に立った』か『役に立たない』か『不適切』かをフィードバック送信できる機能が
           //悪用されて、劣化させる攻撃が加えられているのだろうと考える。【サイバー攻撃】
           "Hello. I'm from Japan. The name is Haruko. 20 years old.",         //【英語】en
           "Hallo. Ich komme aus Japan. Der Name ist Haruko. 20 Jahre alt.",   //【ドイツ語】de
           "Bonjour. Je viens du Japon. Le nom est Haruko. 20 ans.",           //【フランス語】fr
           "Ciao. Io sono dal Giappone. Il nome è Haruko. 20 anni.",           //【イタリア語】it
           "Hola. Soy de Japón. El nombre es Haruko. 20 años de edad.",        //【スペイン語】es
           "Olá. Eu sou do Japão. O nome é Haruko. 20 anos de idade.",         //【ポルトガル語】pt
           "Hello. I pochodzą z Japonii.Nazywam się Haruko. 20 lat.",          //【ポーランド語】pl
           "Здравствуйте. Я из Японии. имя Харуко. 20 лет.", //【ロシア語】ru
           //【何故か以下の言語は動作しない】文字コードのせいだろうか？わからない。
           "你好。我来自日本。晴子是这个名字。 20岁。",                        //×【中国語(簡体字)】zh_CN
           "你好。我來自日本。晴子是這個名字。 20歲。",                        //×【中国語(繁体字)】zh_TW
           "안녕하세요. 나는 일본에서 왔습니다. 이름은 하루코입니다. 20 세입니다." //×【韓国語】ko
        };
        public Form1()
        {
            InitializeComponent();
            if (checkBox1.Checked == true) { webBrowser1.Visible = true; } else { webBrowser1.Visible = false; }
            //【YouTubeの動画をBGMとして使用する】直接YouTubeを呼ぶと自動再生できないが、埋め込み動画は自動再生できる
            webBrowser1.Url = new Uri("http://neotechlab.web.fc2.com/MovieViewer.htm?kcYzyDKipz0");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            CheckRradioButton(); 
            Message = textBox1.Text;  
            webBrowser1.Url = new Uri(URL + "?tl=" + Language + "&q=" + Message); 
        }

        private void CheckRradioButton()
        {
            foreach (object o in groupBox1.Controls)
            {
                RadioButton ro = o as RadioButton;
                if (ro != null && ro.Checked) {
                    Language = (string)ro.Tag;
                    if (checkBox2.Checked == true) { textBox1.Text = defaultMessage[ro.TabIndex]; }
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            webBrowser1.Url = new Uri("http://neotechlab.web.fc2.com/MovieViewer.htm");
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            webBrowser1.Visible = checkBox1.Checked;    
        }
    }
}
